<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio7</title>
</head>
<body>
	<script type="text/javascript">

		let horas=0, precio_hora=0, masdatos=0, nombre="a", salario=0;

		masdatos="si";

		do {

			nombre=prompt("Introduzca el nombre del empleado");
			horas=parseFloat(prompt("Introduzca las horas trabajadas"));
			precio_hora=parseFloat(prompt("Introduzca el precio por hora"));
			

				if(horas<=40) {
				salario=horas*precio_hora;
				
			
				} else {
					salario=40*precio_hora+1.5*(horas-40);
				}

				document.write("El salario de "+nombre+" es "+salario+" euros"+"<br/>");
				masdatos=prompt("¿Más datos? Introduzca si o no");

			}

			while (masdatos=="si"||masdatos=="Si"||masdatos=="SI");
	
	</script>
	
</body>
</html>